package main.enums;

/**
 * 
 * Copyright 2007 - Dirk Becker, Germany
 * 
 * This Code ist FreeWare and OpenSource, feel free to Copy or Modify it!
 * 
 *  Commercial use is absolutely forbidden!
 *  This entail the use by someone who act for free in order of an commercial oriented company.
 *  Please stick to this rules!
 * 
 */
public enum AIMode {
	ROUTINE			(new byte[] { 1, 00,  0, 00, 00, 00 }),
	REACTION		(new byte[] { 1, 00,  1, 00, 00, 00 }),
	MODE_2			(new byte[] { 1, 00,  2, 00, 00, 00 }),
	COMBAT			(new byte[] { 1, 00,  3, 00, 00, 00 }),
	FLEE			(new byte[] { 1, 00,  4, 00, 00, 00 }),
	ARENA			(new byte[] { 1, 00,  5, 00, 00, 00 }),
	TALK			(new byte[] { 1, 00,  6, 00, 00, 00 }),
	MODE_7			(new byte[] { 1, 00,  7, 00, 00, 00 }),
	DOWN			(new byte[] { 1, 00,  8, 00, 00, 00 }),
	DEAD			(new byte[] { 1, 00,  9, 00, 00, 00 }),
	ABANDONED		(new byte[] { 1, 00, 10, 00, 00, 00 }),
	PLAYER_PARTY	(new byte[] { 1, 00, 11, 00, 00, 00 });
	
	private byte[] value;
	private AIMode(byte[] value) { this.value = value; }

	public byte[] getValue() { return value; }

	public static AIMode fromValue(byte[] value) {
		for(AIMode attr: AIMode.values()) {
			if(	value[0] == attr.getValue()[0] &&
				value[1] == attr.getValue()[1] &&
				value[2] == attr.getValue()[2] &&
				value[3] == attr.getValue()[3] &&
				value[4] == attr.getValue()[4] &&
				value[5] == attr.getValue()[5] ) return attr;
		}
		return ROUTINE;
	}
}
