package main.enums;

/**
 * 
 * Copyright 2007 - Dirk Becker, Germany
 * 
 * This Code ist FreeWare and OpenSource, feel free to Copy or Modify it!
 * 
 *  Commercial use is absolutely forbidden!
 *  This entail the use by someone who act for free in order of an commercial oriented company.
 *  Please stick to this rules!
 * 
 */
public enum Slot {

	NONE				(new byte[] { 1, 00,  0, 00, 00, 00 }),
	RIGHT_HAND			(new byte[] { 1, 00,  1, 00, 00, 00 }),
	LEFT_HAND			(new byte[] { 1, 00,  2, 00, 00, 00 }),
	EQUIP_LEFT_HAND		(new byte[] { 1, 00,  3, 00, 00, 00 }),
	BEARD				(new byte[] { 1, 00,  4, 00, 00, 00 }),
	BACK_LEFT			(new byte[] { 1, 00,  5, 00, 00, 00 }),
	BACK_RIGHT			(new byte[] { 1, 00,  6, 00, 00, 00 }),
	BOW					(new byte[] { 1, 00,  7, 00, 00, 00 }),
	CROSSBOW			(new byte[] { 1, 00,  8, 00, 00, 00 }),
	ARMOR				(new byte[] { 1, 00,  9, 00, 00, 00 }),
	BELT				(new byte[] { 1, 00, 10, 00, 00, 00 }),
	AMULET				(new byte[] { 1, 00, 11, 00, 00, 00 }),
	RING1				(new byte[] { 1, 00, 12, 00, 00, 00 }),
	RING2				(new byte[] { 1, 00, 13, 00, 00, 00 }),
	AMMO				(new byte[] { 1, 00, 14, 00, 00, 00 }),
	HAIR				(new byte[] { 1, 00, 15, 00, 00, 00 }),
	HEAD				(new byte[] { 1, 00, 16, 00, 00, 00 }),
	BODY				(new byte[] { 1, 00, 17, 00, 00, 00 }),
	HELMET				(new byte[] { 1, 00, 18, 00, 00, 00 });

	private byte[] value;
	private Slot(byte[] value) { this.value = value; }

	public byte[] getValue() { return value; }

	public static Slot fromValue(byte[] value) {
		for(Slot attr: Slot.values()) {
			if(	value[0] == attr.getValue()[0] &&
				value[1] == attr.getValue()[1] &&
				value[2] == attr.getValue()[2] &&
				value[3] == attr.getValue()[3] &&
				value[4] == attr.getValue()[4] &&
				value[5] == attr.getValue()[5] ) return attr;
		}
		return NONE;
	}
}
