package main.enums;

/**
 * 
 * Copyright 2007 - Dirk Becker, Germany
 * 
 * This Code ist FreeWare and OpenSource, feel free to Copy or Modify it!
 * 
 *  Commercial use is absolutely forbidden!
 *  This entail the use by someone who act for free in order of an commercial oriented company.
 *  Please stick to this rules!
 * 
 */
public enum SpellType {

	PROJECTILE			(new byte[] { 1, 00,  0, 00, 00, 00 }),
	TARGET				(new byte[] { 1, 00,  1, 00, 00, 00 }),
	SUMMON				(new byte[] { 1, 00,  2, 00, 00, 00 });

	private byte[] value;
	private SpellType(byte[] value) { this.value = value; }

	public byte[] getValue() { return value; }

	public static SpellType fromValue(byte[] value) {
		for(SpellType attr: SpellType.values()) {
			if(	value[0] == attr.getValue()[0] &&
				value[1] == attr.getValue()[1] &&
				value[2] == attr.getValue()[2] &&
				value[3] == attr.getValue()[3] &&
				value[4] == attr.getValue()[4] &&
				value[5] == attr.getValue()[5] ) return attr;
		}
		return TARGET;
	}
}
