package main.enums;

/**
 * 
 * Copyright 2007 - Dirk Becker, Germany
 * 
 * This Code ist FreeWare and OpenSource, feel free to Copy or Modify it!
 * 
 *  Commercial use is absolutely forbidden!
 *  This entail the use by someone who act for free in order of an commercial oriented company.
 *  Please stick to this rules!
 * 
 */
public enum UseType {

	NONE			(new byte[] { 1, 00,    0, 00, 00, 00 }),
	ACTION			(new byte[] { 1, 00,    1, 00, 00, 00 }),
	ONE_HAND		(new byte[] { 1, 00,    2, 00, 00, 00 }),
	TWO_HAND		(new byte[] { 1, 00,    3, 00, 00, 00 }),
	ARROW			(new byte[] { 1, 00,    4, 00, 00, 00 }),
	BOW				(new byte[] { 1, 00,    5, 00, 00, 00 }),
	CROSSBOW		(new byte[] { 1, 00,    6, 00, 00, 00 }),
	BOLT			(new byte[] { 1, 00,    7, 00, 00, 00 }),
	FIST			(new byte[] { 1, 00,    8, 00, 00, 00 }),
	SHIELD			(new byte[] { 1, 00,    9, 00, 00, 00 }),
	ARMOR			(new byte[] { 1, 00,   10, 00, 00, 00 }),
	HELMET			(new byte[] { 1, 00,   11, 00, 00, 00 }),
	STAFF			(new byte[] { 1, 00,   12, 00, 00, 00 }),
	AMULETT			(new byte[] { 1, 00,   13, 00, 00, 00 }),
	RING			(new byte[] { 1, 00,   14, 00, 00, 00 }),
	CAST			(new byte[] { 1, 00,   15, 00, 00, 00 }),
	POTION			(new byte[] { 1, 00,   16, 00, 00, 00 }),
	PLANT			(new byte[] { 1, 00,   17, 00, 00, 00 }),
	MEAT			(new byte[] { 1, 00,   18, 00, 00, 00 }),
	FRUIT			(new byte[] { 1, 00,   19, 00, 00, 00 }),
	BREAD			(new byte[] { 1, 00,   20, 00, 00, 00 }),
	BOTTLE			(new byte[] { 1, 00,   21, 00, 00, 00 }),
	CUP				(new byte[] { 1, 00,   22, 00, 00, 00 }),
	BOWL			(new byte[] { 1, 00,   23, 00, 00, 00 }),
	TORCH			(new byte[] { 1, 00,   24, 00, 00, 00 }),
	ALARMHORN		(new byte[] { 1, 00,   25, 00, 00, 00 }),
	BROOM			(new byte[] { 1, 00,   26, 00, 00, 00 }),
	BRUSH			(new byte[] { 1, 00,   27, 00, 00, 00 }),
	LUTE			(new byte[] { 1, 00,   28, 00, 00, 00 }),
	RAKE			(new byte[] { 1, 00,   29, 00, 00, 00 }),
	TROPHY_TEETH	(new byte[] { 1, 00,   30, 00, 00, 00 }),
	VALUABLE		(new byte[] { 1, 00,   31, 00, 00, 00 }),
	SMOKE			(new byte[] { 1, 00,   32, 00, 00, 00 }),
	ORC_PIPE		(new byte[] { 1, 00,   33, 00, 00, 00 }),
	SCOOP			(new byte[] { 1, 00,   34, 00, 00, 00 }),
	STICK			(new byte[] { 1, 00,   35, 00, 00, 00 }),
	SHOVEL			(new byte[] { 1, 00,   36, 00, 00, 00 }),
	HAMMER			(new byte[] { 1, 00,   37, 00, 00, 00 }),
	FAN				(new byte[] { 1, 00,   38, 00, 00, 00 }),
	PAN				(new byte[] { 1, 00,   39, 00, 00, 00 }),
	SAW				(new byte[] { 1, 00,   40, 00, 00, 00 }),
	TROPHY_SKIN		(new byte[] { 1, 00,   41, 00, 00, 00 }),
	MAP				(new byte[] { 1, 00,   42, 00, 00, 00 }),
	BOOK			(new byte[] { 1, 00,   43, 00, 00, 00 }),
	LETTER			(new byte[] { 1, 00,   44, 00, 00, 00 }),
	KEY				(new byte[] { 1, 00,   45, 00, 00, 00 }),
	LOCKPICK		(new byte[] { 1, 00,   46, 00, 00, 00 }),
	CARRY_FRONT		(new byte[] { 1, 00,   47, 00, 00, 00 }),
	CARRY_SHOULDER	(new byte[] { 1, 00,   48, 00, 00, 00 }),
	PICKAXE			(new byte[] { 1, 00,   49, 00, 00, 00 }),
	TROPHY_FUR		(new byte[] { 1, 00,   50, 00, 00, 00 }),
	HALBERD			(new byte[] { 1, 00,   51, 00, 00, 00 }),
	AXE				(new byte[] { 1, 00,   52, 00, 00, 00 }),
	ITEM_E			(new byte[] { 1, 00,   53, 00, 00, 00 }),
	MODIFY			(new byte[] { 1, 00,   54, 00, 00, 00 }),
	PHYSICAL_FIST	(new byte[] { 1, 00,   55, 00, 00, 00 }),
	ITEM_H			(new byte[] { 1, 00,   56, 00, 00, 00 }),
	ANVIL			(new byte[] { 1, 00,   57, 00, 00, 00 }),
	FORGE			(new byte[] { 1, 00,   58, 00, 00, 00 }),
	GRIND_STONE		(new byte[] { 1, 00,   59, 00, 00, 00 }),
	CAULDRON		(new byte[] { 1, 00,   60, 00, 00, 00 }),
	BARBECUE		(new byte[] { 1, 00,   61, 00, 00, 00 }),
	ALCHEMY			(new byte[] { 1, 00,   62, 00, 00, 00 }),
	BOOKSHELF		(new byte[] { 1, 00,   63, 00, 00, 00 }),
	BOOKSTAND		(new byte[] { 1, 00,   64, 00, 00, 00 }),
	TAKE_STONE		(new byte[] { 1, 00,   65, 00, 00, 00 }),
	DROP_STONE		(new byte[] { 1, 00,   66, 00, 00, 00 }),
	PICK_ORE		(new byte[] { 1, 00,   67, 00, 00, 00 }),
	PICK_GROUND		(new byte[] { 1, 00,   68, 00, 00, 00 }),
	DIG_GROUND		(new byte[] { 1, 00,   69, 00, 00, 00 }),
	FIELD			(new byte[] { 1, 00,   70, 00, 00, 00 }),
	REPAIR			(new byte[] { 1, 00,   71, 00, 00, 00 }),
	SAW_LOG			(new byte[] { 1, 00,   72, 00, 00, 00 }),
	LUMBERJACK		(new byte[] { 1, 00,   73, 00, 00, 00 }),
	BED				(new byte[] { 1, 00,   74, 00, 00, 00 }),
	SLEEP_GROUND	(new byte[] { 1, 00,   75, 00, 00, 00 }),
	CLEAN_FLOOR		(new byte[] { 1, 00,   76, 00, 00, 00 }),
	DANCE			(new byte[] { 1, 00,   77, 00, 00, 00 }),
	FAN_BOSS		(new byte[] { 1, 00,   78, 00, 00, 00 }),
	BOSS			(new byte[] { 1, 00,   79, 00, 00, 00 }),
	THRONE			(new byte[] { 1, 00,   80, 00, 00, 00 }),
	PACE			(new byte[] { 1, 00,   81, 00, 00, 00 }),
	BARD			(new byte[] { 1, 00,   82, 00, 00, 00 }),
	STOOL			(new byte[] { 1, 00,   83, 00, 00, 00 }),
	BENCH			(new byte[] { 1, 00,   84, 00, 00, 00 }),
	WATERPIPE		(new byte[] { 1, 00,   85, 00, 00, 00 }),
	WATER_BARREL	(new byte[] { 1, 00,   86, 00, 00, 00 }),
	PIRATE_TREASURE	(new byte[] { 1, 00,   87, 00, 00, 00 }),
	CAMPFIRE		(new byte[] { 1, 00,   88, 00, 00, 00 }),
	SIT_CAMPFIRE	(new byte[] { 1, 00,   89, 00, 00, 00 }),
	SIT_GROUND		(new byte[] { 1, 00,   90, 00, 00, 00 }),
	SMALLTALK		(new byte[] { 1, 00,   91, 00, 00, 00 }),
	PREACH			(new byte[] { 1, 00,   92, 00, 00, 00 }),
	SPECTATOR		(new byte[] { 1, 00,   93, 00, 00, 00 }),
	STAND			(new byte[] { 1, 00,   94, 00, 00, 00 }),
	GUARD			(new byte[] { 1, 00,   95, 00, 00, 00 }),
	TRADER			(new byte[] { 1, 00,   96, 00, 00, 00 }),
	LISTENER		(new byte[] { 1, 00,   97, 00, 00, 00 }),
	ORC_DANCE		(new byte[] { 1, 00,   98, 00, 00, 00 }),
	STONEPLATE		(new byte[] { 1, 00,   99, 00, 00, 00 }),
	ORC_DRUM		(new byte[] { 1, 00,  100, 00, 00, 00 }),
	DOOR			(new byte[] { 1, 00,  101, 00, 00, 00 }),
	ORC_BOULDER		(new byte[] { 1, 00,  102, 00, 00, 00 }),
	EAT_GROUND		(new byte[] { 1, 00,  103, 00, 00, 00 }),
	DRINK_WATER		(new byte[] { 1, 00,  104, 00, 00, 00 }),
	PEE				(new byte[] { 1, 00,  105, 00, 00, 00 }),
	CHEST			(new byte[] { 1, 00,  106, 00, 00, 00 }),
	SHRINE			(new byte[] { 1, 00,  107, 00, 00, 00 }),
	ATTACK_POINT	(new byte[] { 1, 00,  108, 00, 00, 00 }),
	ROAM			(new byte[] { 1, 00,  109, 00, 00, 00 }),
	BODY_A			(new byte[] { 1, 00,  110, 00, 00, 00 }),
	BEARD			(new byte[] { 1, 00,  111, 00, 00, 00 }),
	HAIR			(new byte[] { 1, 00,  112, 00, 00, 00 }),
	HEAD			(new byte[] { 1, 00,  113, 00, 00, 00 }),
	BODY			(new byte[] { 1, 00,  114, 00, 00, 00 }),
	FLEE			(new byte[] { 1, 00,  115, 00, 00, 00 }),
	TALK			(new byte[] { 1, 00,  116, 00, 00, 00 });
	
	private byte[] value;
	private UseType(byte[] value) { this.value = value; }

	public byte[] getValue() { return value; }

	public static UseType fromValue(byte[] value) {
		for(UseType attr: UseType.values()) {
			if(	value[0] == attr.getValue()[0] &&
				value[1] == attr.getValue()[1] &&
				value[2] == attr.getValue()[2] &&
				value[3] == attr.getValue()[3] &&
				value[4] == attr.getValue()[4] &&
				value[5] == attr.getValue()[5] ) return attr;
		}

		return NONE;
	}
}
