package gui;

/**
 * 
 * Copyright 2007 - Dirk Becker, Germany
 * 
 * This Code ist FreeWare and OpenSource, feel free to Copy or Modify it!
 * 
 *  Commercial use is absolutely forbidden!
 *  This entail the use by someone who act for free in order of an commercial oriented company.
 *  Please stick to this rules!
 * 
 */
import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;
import main.TPLE_Editor;
import main.data.Converter;
import main.data.TPLE_Value;

public class HexFieldListener implements DocumentListener {
	private int index = 0;
	private TPLE_Editor MainApp = null;
	private HexField field = null;

	public HexFieldListener(TPLE_Editor app, int index, HexField field) {
		MainApp = app;
		this.index = index;
		this.field = field;
	}
	
	public void changedUpdate(DocumentEvent e) {}
	public void insertUpdate(DocumentEvent e) { changed(); }
	public void removeUpdate(DocumentEvent e) { changed(); }
	private void changed() {
		if(field.getText().length()==2 && !MainApp.getContent().isMechChange()) {
			if(MainApp.getSelectedClass()==null) {
				MainApp.getCurrentFile().getItemHash()[index] = Converter.hexToByte(field.getText());
			}
			else if(MainApp.getContent().getItemTable().getSelectedRow()>=0) {
				TPLE_Value selVal = (TPLE_Value)MainApp.getContent().getItemTable().getValueAt(
						MainApp.getContent().getItemTable().getSelectedRow(), 0);
				selVal.getValue()[index] = Converter.hexToByte(field.getText());
				MainApp.getContent().fillTableData(true);
			}
		}
	}
}
