package main.data;

/**
 * 
 * Copyright 2007 - Dirk Becker, Germany
 * 
 * This Code ist FreeWare and OpenSource, feel free to Copy or Modify it!
 * 
 *  Commercial use is absolutely forbidden!
 *  This entail the use by someone who act for free in order of an commercial oriented company.
 *  Please stick to this rules!
 * 
 */
import java.util.ArrayList;
import java.util.List;

public class TPLE_Class {
	private TPLE_File			parent		= null;
	private TPLE_String		className	= new TPLE_String();
	private List<TPLE_Value>	values		= new ArrayList<TPLE_Value>();

	public TPLE_Class(TPLE_File p) { parent = p; }

	public TPLE_File getParent() { return parent; }
	public void setParent(TPLE_File parent) { this.parent = parent; }
	
	public TPLE_String getClassName() { return className; }
	public void setClassName(TPLE_String className) { this.className = className; }

	public List<TPLE_Value> getValues() { return values; }
	public void setValues(List<TPLE_Value> values) { this.values = values; }
	public void addValue(TPLE_Value value) { this.values.add(value); }
	public void removeValue(TPLE_Value value) { this.values.remove(value); }
	
	public String toString() { return className.getValue(); }
}
