package main.enums;

/**
 * 
 * Copyright 2007 - Dirk Becker, Germany
 * 
 * This Code ist FreeWare and OpenSource, feel free to Copy or Modify it!
 * 
 *  Commercial use is absolutely forbidden!
 *  This entail the use by someone who act for free in order of an commercial oriented company.
 *  Please stick to this rules!
 * 
 */
public enum Action {
	NONE				(new byte[] { 1, 00,    0, 00, 00, 00 }),
	ATTACK				(new byte[] { 1, 00,    1, 00, 00, 00 }),
	POWERATTACK			(new byte[] { 1, 00,    2, 00, 00, 00 }),
	QUICKATTACK			(new byte[] { 1, 00,    3, 00, 00, 00 }),
	QUICKATTACKR		(new byte[] { 1, 00,    4, 00, 00, 00 }),
	QUICKATTACKL		(new byte[] { 1, 00,    5, 00, 00, 00 }),
	SIMPLEWHIRL			(new byte[] { 1, 00,    6, 00, 00, 00 }),
	WHIRLATTACK			(new byte[] { 1, 00,    7, 00, 00, 00 }),
	PIERCEATTACK		(new byte[] { 1, 00,    8, 00, 00, 00 }),
	JUMPATTACK			(new byte[] { 1, 00,    9, 00, 00, 00 }),
	RAMATTACK			(new byte[] { 1, 00,   10, 00, 00, 00 }),
	HACKATTACK			(new byte[] { 1, 00,   11, 00, 00, 00 }),
	FINISHINGATTACK		(new byte[] { 1, 00,   12, 00, 00, 00 }),
	PARADE				(new byte[] { 1, 00,   13, 00, 00, 00 }),
	PARADER				(new byte[] { 1, 00,   14, 00, 00, 00 }),
	PARADEL				(new byte[] { 1, 00,   15, 00, 00, 00 }),
	EXITPARADE			(new byte[] { 1, 00,   16, 00, 00, 00 }),
	QUICKPARADESTUMBLE	(new byte[] { 1, 00,   17, 00, 00, 00 }),
	PARADESTUMBLE		(new byte[] { 1, 00,   18, 00, 00, 00 }),
	PARADESTUMBLER		(new byte[] { 1, 00,   19, 00, 00, 00 }),
	PARADESTUMBLEL		(new byte[] { 1, 00,   20, 00, 00, 00 }),
	HEAVYPARADESTUMBLE	(new byte[] { 1, 00,   21, 00, 00, 00 }),
	QUICKSTUMBLE		(new byte[] { 1, 00,   22, 00, 00, 00 }),
	STUMBLE				(new byte[] { 1, 00,   23, 00, 00, 00 }),
	STUMBLER			(new byte[] { 1, 00,   24, 00, 00, 00 }),
	STUMBLEL			(new byte[] { 1, 00,   25, 00, 00, 00 }),
	SITKNOCKDOWN		(new byte[] { 1, 00,   26, 00, 00, 00 }),
	GETUPATTACK			(new byte[] { 1, 00,   27, 00, 00, 00 }),
	GETUPPARADE			(new byte[] { 1, 00,   28, 00, 00, 00 }),
	LIEKNOCKDOWN		(new byte[] { 1, 00,   29, 00, 00, 00 }),
	LIEKNOCKOUT			(new byte[] { 1, 00,   30, 00, 00, 00 }),
	PIERCESTUMBLE		(new byte[] { 1, 00,   31, 00, 00, 00 }),
	DIE					(new byte[] { 1, 00,   32, 00, 00, 00 }),
	LIEDEAD				(new byte[] { 1, 00,   33, 00, 00, 00 }),
	LIEPIERCEDKO		(new byte[] { 1, 00,   34, 00, 00, 00 }),
	LIEPIERCEDDEAD		(new byte[] { 1, 00,   35, 00, 00, 00 }),
	ABORTATTACK			(new byte[] { 1, 00,   36, 00, 00, 00 }),
	AIM					(new byte[] { 1, 00,   37, 00, 00, 00 }),
	SHOOT				(new byte[] { 1, 00,   38, 00, 00, 00 }),
	RELOAD				(new byte[] { 1, 00,   39, 00, 00, 00 }),
	COCK				(new byte[] { 1, 00,   40, 00, 00, 00 }),
	CAST				(new byte[] { 1, 00,   41, 00, 00, 00 }),
	POWERCAST			(new byte[] { 1, 00,   42, 00, 00, 00 }),
	MAGICPARADE			(new byte[] { 1, 00,   43, 00, 00, 00 }),
	QUICKCAST			(new byte[] { 1, 00,   44, 00, 00, 00 }),
	SUMMON				(new byte[] { 1, 00,   45, 00, 00, 00 }),
	HEAL				(new byte[] { 1, 00,   46, 00, 00, 00 }),
	WAIT				(new byte[] { 1, 00,   47, 00, 00, 00 }),
	JUMPBACK			(new byte[] { 1, 00,   48, 00, 00, 00 }),
	FWD					(new byte[] { 1, 00,   49, 00, 00, 00 }),
	BACK				(new byte[] { 1, 00,   50, 00, 00, 00 }),
	LEFT				(new byte[] { 1, 00,   51, 00, 00, 00 }),
	RIGHT				(new byte[] { 1, 00,   52, 00, 00, 00 }),
	MOVE				(new byte[] { 1, 00,   53, 00, 00, 00 }),
	JUMP				(new byte[] { 1, 00,   54, 00, 00, 00 }),
	EVADE				(new byte[] { 1, 00,   55, 00, 00, 00 }),
	SLIDE				(new byte[] { 1, 00,   56, 00, 00, 00 }),
	FALL				(new byte[] { 1, 00,   57, 00, 00, 00 }),
	DIVE				(new byte[] { 1, 00,   58, 00, 00, 00 }),
	COMBATACTIONS_END	(new byte[] { 1, 00,   59, 00, 00, 00 }),
	USE					(new byte[] { 1, 00,   60, 00, 00, 00 }),
	EQUIP				(new byte[] { 1, 00,   61, 00, 00, 00 }),
	REACH				(new byte[] { 1, 00,   62, 00, 00, 00 }),
	TAKE				(new byte[] { 1, 00,   63, 00, 00, 00 }),
	DROP				(new byte[] { 1, 00,   64, 00, 00, 00 }),
	HOLD				(new byte[] { 1, 00,   65, 00, 00, 00 }),
	HOLDLEFT			(new byte[] { 1, 00,   66, 00, 00, 00 }),
	HOLDRIGHT			(new byte[] { 1, 00,   67, 00, 00, 00 }),
	TRANSFER			(new byte[] { 1, 00,   68, 00, 00, 00 }),
	FLAMESWORD			(new byte[] { 1, 00,   69, 00, 00, 00 }),
	FRY					(new byte[] { 1, 00,   70, 00, 00, 00 }),
	EAT					(new byte[] { 1, 00,   71, 00, 00, 00 }),
	DRINK				(new byte[] { 1, 00,   72, 00, 00, 00 }),
	STAND				(new byte[] { 1, 00,   73, 00, 00, 00 }),
	SNEAK				(new byte[] { 1, 00,   74, 00, 00, 00 }),
	KNEEL				(new byte[] { 1, 00,   75, 00, 00, 00 }),
	SITGROUND			(new byte[] { 1, 00,   76, 00, 00, 00 }),
	SITSTOOL			(new byte[] { 1, 00,   77, 00, 00, 00 }),
	SITBENCH			(new byte[] { 1, 00,   78, 00, 00, 00 }),
	SITTHRONE			(new byte[] { 1, 00,   79, 00, 00, 00 }),
	SLEEPBED			(new byte[] { 1, 00,   80, 00, 00, 00 }),
	SLEEPGROUND			(new byte[] { 1, 00,   81, 00, 00, 00 }),
	ORCDRUM				(new byte[] { 1, 00,   82, 00, 00, 00 }),
	WATERPIPE			(new byte[] { 1, 00,   83, 00, 00, 00 }),
	ANVIL				(new byte[] { 1, 00,   84, 00, 00, 00 }),
	ORCANVIL			(new byte[] { 1, 00,   85, 00, 00, 00 }),
	FORGE				(new byte[] { 1, 00,   86, 00, 00, 00 }),
	COOLWEAPON			(new byte[] { 1, 00,   87, 00, 00, 00 }),
	DRINKWATERBARREL	(new byte[] { 1, 00,   88, 00, 00, 00 }),
	GRINDSTONE			(new byte[] { 1, 00,   89, 00, 00, 00 }),
	CAULDRON			(new byte[] { 1, 00,   90, 00, 00, 00 }),
	BARBECUE			(new byte[] { 1, 00,   91, 00, 00, 00 }),
	ALCHEMY				(new byte[] { 1, 00,   92, 00, 00, 00 }),
	BOOKSTAND			(new byte[] { 1, 00,   93, 00, 00, 00 }),
	STONEPLATE			(new byte[] { 1, 00,   94, 00, 00, 00 }),
	PICKORE				(new byte[] { 1, 00,   95, 00, 00, 00 }),
	OPENCHEST			(new byte[] { 1, 00,   96, 00, 00, 00 }),
	LOCKPICK			(new byte[] { 1, 00,   97, 00, 00, 00 }),
	OPENDOOR			(new byte[] { 1, 00,   98, 00, 00, 00 }),
	EXITINTERACT		(new byte[] { 1, 00,   99, 00, 00, 00 }),
	PICKGROUND			(new byte[] { 1, 00,  100, 00, 00, 00 }),
	DIGGROUND			(new byte[] { 1, 00,  101, 00, 00, 00 }),
	REPAIR				(new byte[] { 1, 00,  102, 00, 00, 00 }),
	SAWLOG				(new byte[] { 1, 00,  103, 00, 00, 00 }),
	LUMBERJACK			(new byte[] { 1, 00,  104, 00, 00, 00 }),
	RAKEFIELD			(new byte[] { 1, 00,  105, 00, 00, 00 }),
	CLEANFLOOR			(new byte[] { 1, 00,  106, 00, 00, 00 }),
	TILTORCBOULDER		(new byte[] { 1, 00,  107, 00, 00, 00 }),
	HOLDORCBOULDER		(new byte[] { 1, 00,  108, 00, 00, 00 }),
	LIFTORCBOULDER		(new byte[] { 1, 00,  109, 00, 00, 00 }),
	FAN					(new byte[] { 1, 00,  110, 00, 00, 00 }),
	DANCE				(new byte[] { 1, 00,  111, 00, 00, 00 }),
	ORCDANCE			(new byte[] { 1, 00,  112, 00, 00, 00 }),
	FIELDWORK			(new byte[] { 1, 00,  113, 00, 00, 00 }),
	EATGROUND			(new byte[] { 1, 00,  114, 00, 00, 00 }),
	DRINKWATER			(new byte[] { 1, 00,  115, 00, 00, 00 }),
	ARMSCROSSED			(new byte[] { 1, 00,  116, 00, 00, 00 }),
	HANDSONHIPS			(new byte[] { 1, 00,  117, 00, 00, 00 }),
	WARN				(new byte[] { 1, 00,  118, 00, 00, 00 }),
	AMBIENT				(new byte[] { 1, 00,  119, 00, 00, 00 }),
	THINK				(new byte[] { 1, 00,  120, 00, 00, 00 }),
	PEE					(new byte[] { 1, 00,  121, 00, 00, 00 }),
	SAY					(new byte[] { 1, 00,  122, 00, 00, 00 }),
	LISTEN				(new byte[] { 1, 00,  123, 00, 00, 00 }),
	WATCHFIGHT			(new byte[] { 1, 00,  124, 00, 00, 00 }),
	CHEER				(new byte[] { 1, 00,  125, 00, 00, 00 }),
	SUPERCHEER			(new byte[] { 1, 00,  126, 00, 00, 00 }),
	APPLAUD				(new byte[] { 1, 00,  127, 00, 00, 00 }),
	QUICKUSE0			(new byte[] { 1, 00, -128, 00, 00, 00 }),
	QUICKUSE1			(new byte[] { 1, 00, -127, 00, 00, 00 }),
	QUICKUSE2			(new byte[] { 1, 00, -126, 00, 00, 00 }),
	QUICKUSE3			(new byte[] { 1, 00, -125, 00, 00, 00 }),
	QUICKUSE4			(new byte[] { 1, 00, -124, 00, 00, 00 }),
	QUICKUSE5			(new byte[] { 1, 00, -123, 00, 00, 00 }),
	QUICKUSE6			(new byte[] { 1, 00, -122, 00, 00, 00 }),
	QUICKUSE7			(new byte[] { 1, 00, -121, 00, 00, 00 }),
	QUICKUSE8			(new byte[] { 1, 00, -120, 00, 00, 00 }),
	QUICKUSE9			(new byte[] { 1, 00, -119, 00, 00, 00 }),
	COUNT				(new byte[] { 1, 00, -118, 00, 00, 00 });
	
	private byte[] value;
	private Action(byte[] value) { this.value = value; }

	public byte[] getValue() { return value; }

	public static Action fromValue(byte[] value) {
		for(Action attr: Action.values()) {
			if(	value[0] == attr.getValue()[0] &&
				value[1] == attr.getValue()[1] &&
				value[2] == attr.getValue()[2] &&
				value[3] == attr.getValue()[3] &&
				value[4] == attr.getValue()[4] &&
				value[5] == attr.getValue()[5] ) return attr;
		}
		return NONE;
	}
}
