package main.enums;

/**
 * 
 * Copyright 2007 - Dirk Becker, Germany
 * 
 * This Code ist FreeWare and OpenSource, feel free to Copy or Modify it!
 * 
 *  Commercial use is absolutely forbidden!
 *  This entail the use by someone who act for free in order of an commercial oriented company.
 *  Please stick to this rules!
 * 
 */
public enum AniState {

	DUMMY0				(new byte[] { 1, 00,  0, 00, 00, 00 }),
	DUMMY1				(new byte[] { 1, 00,  1, 00, 00, 00 }),
	STAND				(new byte[] { 1, 00,  2, 00, 00, 00 }),
	SNEAK				(new byte[] { 1, 00,  3, 00, 00, 00 }),
	PARADE				(new byte[] { 1, 00,  4, 00, 00, 00 }),
	KNEEL				(new byte[] { 1, 00,  5, 00, 00, 00 }),
	SIT_GROUND			(new byte[] { 1, 00,  6, 00, 00, 00 }),
	SIT_STOOL			(new byte[] { 1, 00,  7, 00, 00, 00 }),
	SIT_BENCH			(new byte[] { 1, 00,  8, 00, 00, 00 }),
	SIT_THRONE			(new byte[] { 1, 00,  9, 00, 00, 00 }),
	SLEEP_BED			(new byte[] { 1, 00, 10, 00, 00, 00 }),
	SLEEP_GROUND		(new byte[] { 1, 00, 11, 00, 00, 00 }),
	TILT_ORC_BOULDER	(new byte[] { 1, 00, 12, 00, 00, 00 }),
	HOLD_ORC_BOULDER	(new byte[] { 1, 00, 13, 00, 00, 00 }),
	LIFT_ORC_BOULDER	(new byte[] { 1, 00, 14, 00, 00, 00 }),
	SIT_KNOCK_DOWN		(new byte[] { 1, 00, 15, 00, 00, 00 }),
	LIE_KNOCK_DOWN		(new byte[] { 1, 00, 16, 00, 00, 00 }),
	LIE_KNOCK_OUT		(new byte[] { 1, 00, 17, 00, 00, 00 }),
	LIE_STRAIGHT_DEAD	(new byte[] { 1, 00, 18, 00, 00, 00 }),
	LIE_DEAD			(new byte[] { 1, 00, 19, 00, 00, 00 }),
	LIE_PIERCED_KO		(new byte[] { 1, 00, 20, 00, 00, 00 }),
	LIE_PIERCED_DEAD	(new byte[] { 1, 00, 21, 00, 00, 00 }),
	TALK_STAND			(new byte[] { 1, 00, 22, 00, 00, 00 }),
	TALK_SIT_GROUND		(new byte[] { 1, 00, 23, 00, 00, 00 }),
	TALK_SIT_STOOL		(new byte[] { 1, 00, 24, 00, 00, 00 }),
	TALK_SIT_BENCH		(new byte[] { 1, 00, 25, 00, 00, 00 }),
	TALK_SIT_THRONE		(new byte[] { 1, 00, 26, 00, 00, 00 }),
	WADE				(new byte[] { 1, 00, 27, 00, 00, 00 }),
	SWIM				(new byte[] { 1, 00, 28, 00, 00, 00 }),
	DIVE				(new byte[] { 1, 00, 29, 00, 00, 00 }),
	COUNT				(new byte[] { 1, 00, 30, 00, 00, 00 });

	private byte[] value;
	private AniState(byte[] value) { this.value = value; }

	public byte[] getValue() { return value; }

	public static AniState fromValue(byte[] value) {
		for(AniState attr: AniState.values()) {
			if(	value[0] == attr.getValue()[0] &&
				value[1] == attr.getValue()[1] &&
				value[2] == attr.getValue()[2] &&
				value[3] == attr.getValue()[3] &&
				value[4] == attr.getValue()[4] &&
				value[5] == attr.getValue()[5] ) return attr;
		}
		return DUMMY0;
	}
}
