package main.enums;

/**
 * 
 * Copyright 2007 - Dirk Becker, Germany
 * 
 * This Code ist FreeWare and OpenSource, feel free to Copy or Modify it!
 * 
 *  Commercial use is absolutely forbidden!
 *  This entail the use by someone who act for free in order of an commercial oriented company.
 *  Please stick to this rules!
 * 
 */
public enum ItemCategory {

	NONE		(new byte[] { 1, 00,  0, 00, 00, 00 }),
	WEAPON		(new byte[] { 1, 00,  1, 00, 00, 00 }),
	ARMOR		(new byte[] { 1, 00,  2, 00, 00, 00 }),
	ARTEFACT	(new byte[] { 1, 00,  3, 00, 00, 00 }),
	ALCHEMY		(new byte[] { 1, 00,  4, 00, 00, 00 }),
	EMPTY_A		(new byte[] { 1, 00,  5, 00, 00, 00 }),
	MISC		(new byte[] { 1, 00,  6, 00, 00, 00 }),
	WRITTEN		(new byte[] { 1, 00,  7, 00, 00, 00 }),
	EMPTY_B		(new byte[] { 1, 00,  8, 00, 00, 00 }),
	SPELLBOOK	(new byte[] { 1, 00,  9, 00, 00, 00 }),
	SKILL		(new byte[] { 1, 00, 10, 00, 00, 00 }),
	COUNT		(new byte[] { 1, 00, 11, 00, 00, 00 });
	
	private byte[] value;
	private ItemCategory(byte[] value) { this.value = value; }

	public byte[] getValue() { return value; }

	public static ItemCategory fromValue(byte[] value) {
		for(ItemCategory attr: ItemCategory.values()) {
			if(	value[0] == attr.getValue()[0] &&
				value[1] == attr.getValue()[1] &&
				value[2] == attr.getValue()[2] &&
				value[3] == attr.getValue()[3] &&
				value[4] == attr.getValue()[4] &&
				value[5] == attr.getValue()[5] ) return attr;
		}
		return NONE;
	}
}
