package main.enums;

/**
 * 
 * Copyright 2007 - Dirk Becker, Germany
 * 
 * This Code ist FreeWare and OpenSource, feel free to Copy or Modify it!
 * 
 *  Commercial use is absolutely forbidden!
 *  This entail the use by someone who act for free in order of an commercial oriented company.
 *  Please stick to this rules!
 * 
 */
public enum PropertySetType {

	UNKNOWN						(new byte[] { 1, 00,   0, 00, 00, 00 }),
	BASE						(new byte[] { 1, 00,   1, 00, 00, 00 }),
	MESH_VISUAL					(new byte[] { 1, 00,   2, 00, 00, 00 }),
	DUMMY_VISUAL				(new byte[] { 1, 00,   3, 00, 00, 00 }),
	ADVANCED					(new byte[] { 1, 00,   4, 00, 00, 00 }),
	NAVIGATION					(new byte[] { 1, 00,   5, 00, 00, 00 }),
	DYNAMIC_COLLISION_CIRCLE	(new byte[] { 1, 00,   6, 00, 00, 00 }),
	COLLISION_CIRCLE			(new byte[] { 1, 00,   7, 00, 00, 00 }),
	NAV_ZONE					(new byte[] { 1, 00,   8, 00, 00, 00 }),
	NEG_ZONE					(new byte[] { 1, 00,   9, 00, 00, 00 }),
	NAV_PATH					(new byte[] { 1, 00,  10, 00, 00, 00 }),
	PREF_PATH					(new byte[] { 1, 00,  11, 00, 00, 00 }),
	NAV_HELPER					(new byte[] { 1, 00,  12, 00, 00, 00 }),
	RIGID_BODY					(new byte[] { 1, 00,  13, 00, 00, 00 }),
	COLLISION_SHAPE				(new byte[] { 1, 00,  14, 00, 00, 00 }),
	DYNAMIC_LIGHT				(new byte[] { 1, 00,  15, 00, 00, 00 }),
	DIRECTIONAL_LIGHT			(new byte[] { 1, 00,  16, 00, 00, 00 }),
	POINT_LIGHT					(new byte[] { 1, 00,  17, 00, 00, 00 }),
	SPOT_LIGHT					(new byte[] { 1, 00,  18, 00, 00, 00 }),
	HEMISPHERE					(new byte[] { 1, 00,  19, 00, 00, 00 }),
	MOVEMENT_BASE				(new byte[] { 1, 00,  20, 00, 00, 00 }),
	CHARACTER_MOVEMENT			(new byte[] { 1, 00,  21, 00, 00, 00 }),
	CHARACTER_CONTROL			(new byte[] { 1, 00,  22, 00, 00, 00 }),
	CHARACTER_SENSOR			(new byte[] { 1, 00,  23, 00, 00, 00 }),
	CAMERA_AI					(new byte[] { 1, 00,  24, 00, 00, 00 }),
	EDITOR						(new byte[] { 1, 00,  25, 00, 00, 00 }),
	AI_HELPER					(new byte[] { 1, 00,  26, 00, 00, 00 }),
	AI_HELPER_FREE_POINT		(new byte[] { 1, 00,  27, 00, 00, 00 }),
	AI_HELPER_SPAWN_POINT		(new byte[] { 1, 00,  28, 00, 00, 00 }),
	AI_HELPER_PLAYER_START		(new byte[] { 1, 00,  29, 00, 00, 00 }),
	NPC							(new byte[] { 1, 00,  30, 00, 00, 00 }),
	INVENTORY					(new byte[] { 1, 00,  31, 00, 00, 00 }),
	CLOCK						(new byte[] { 1, 00,  32, 00, 00, 00 }),
	EFFECT						(new byte[] { 1, 00,  33, 00, 00, 00 }),
	PARTICLE_EFFECT				(new byte[] { 1, 00,  34, 00, 00, 00 }),
	EVENT_FILTER				(new byte[] { 1, 00,  35, 00, 00, 00 }),
	EVENT_DEBUGGER				(new byte[] { 1, 00,  36, 00, 00, 00 }),
	EVENT_LOGIC					(new byte[] { 1, 00,  37, 00, 00, 00 }),
	EVENT_SCRIPT				(new byte[] { 1, 00,  38, 00, 00, 00 }),
	TRIGGER						(new byte[] { 1, 00,  39, 00, 00, 00 }),
	TRIGGER_LIST				(new byte[] { 1, 00,  40, 00, 00, 00 }),
	TRIGGER_COMBINER			(new byte[] { 1, 00,  41, 00, 00, 00 }),
	SKYDOME						(new byte[] { 1, 00,  42, 00, 00, 00 }),
	EDITOR_VISUAL				(new byte[] { 1, 00,  43, 00, 00, 00 }),
	ENGINE_CAPS					(new byte[] { 1, 00,  44, 00, 00, 00 }),
	SCRIPT_ROUTINE				(new byte[] { 1, 00,  45, 00, 00, 00 }),
	SPEED_TREE					(new byte[] { 1, 00,  46, 00, 00, 00 }),
	SPEED_TREEWIND				(new byte[] { 1, 00,  47, 00, 00, 00 }),
	ITEM						(new byte[] { 1, 00,  48, 00, 00, 00 }),
	INTERACTION					(new byte[] { 1, 00,  49, 00, 00, 00 }),
	TOUCH_DAMAGE				(new byte[] { 1, 00,  50, 00, 00, 00 }),
	DAMAGE						(new byte[] { 1, 00,  51, 00, 00, 00 }),
	DAMAGE_RECEIVER				(new byte[] { 1, 00,  52, 00, 00, 00 }),
	QUEST_MANAGER				(new byte[] { 1, 00,  53, 00, 00, 00 }),
	QUEST						(new byte[] { 1, 00,  54, 00, 00, 00 }),
	INFO_MANAGER				(new byte[] { 1, 00,  55, 00, 00, 00 }),
	INFO						(new byte[] { 1, 00,  56, 00, 00, 00 }),
	INFO_SCRIPT					(new byte[] { 1, 00,  57, 00, 00, 00 }),
	INFO_SCRIPT_LINE			(new byte[] { 1, 00,  58, 00, 00, 00 }),
	FOCUS						(new byte[] { 1, 00,  59, 00, 00, 00 }),
	PLAYER_MEMORY				(new byte[] { 1, 00,  60, 00, 00, 00 }),
	NAV_OFFSET					(new byte[] { 1, 00,  61, 00, 00, 00 }),
	ENCLAVE						(new byte[] { 1, 00,  62, 00, 00, 00 }),
	ARENA						(new byte[] { 1, 00,  63, 00, 00, 00 }),
	AREA						(new byte[] { 1, 00,  64, 00, 00, 00 }),
	VEGETATION					(new byte[] { 1, 00,  65, 00, 00, 00 }),
	VEGETATION_BRUSH			(new byte[] { 1, 00,  66, 00, 00, 00 }),
	VEGETATION_RUBBER			(new byte[] { 1, 00,  67, 00, 00, 00 }),
	DIALOG						(new byte[] { 1, 00,  68, 00, 00, 00 }),
	LOCK						(new byte[] { 1, 00,  69, 00, 00, 00 }),
	DOOR						(new byte[] { 1, 00,  70, 00, 00, 00 }),
	STATIC_LIGHT				(new byte[] { 1, 00,  71, 00, 00, 00 }),
	STATIC_POINT_LIGHT			(new byte[] { 1, 00,  72, 00, 00, 00 }),
	STATIC_SPOT_LIGHT			(new byte[] { 1, 00,  73, 00, 00, 00 }),
	ILLUMINATED					(new byte[] { 1, 00,  74, 00, 00, 00 }),
	STATISTICS					(new byte[] { 1, 00,  75, 00, 00, 00 }),
	PHYSIC_SCENE				(new byte[] { 1, 00,  76, 00, 00, 00 }),
	PARTY						(new byte[] { 1, 00,  77, 00, 00, 00 }),
	ANCHOR						(new byte[] { 1, 00,  78, 00, 00, 00 }),
	LETTER						(new byte[] { 1, 00,  79, 00, 00, 00 }),
	BOOK						(new byte[] { 1, 00,  80, 00, 00, 00 }),
	MAP							(new byte[] { 1, 00,  81, 00, 00, 00 }),
	LINK_CONTAINER				(new byte[] { 1, 00,  82, 00, 00, 00 }),
	PROJECTILE					(new byte[] { 1, 00,  83, 00, 00, 00 }),
	SOUND						(new byte[] { 1, 00,  84, 00, 00, 00 }),
	STRIP						(new byte[] { 1, 00,  85, 00, 00, 00 }),
	FORCE_FIELD					(new byte[] { 1, 00,  86, 00, 00, 00 }),
	PARTICLE					(new byte[] { 1, 00,  87, 00, 00, 00 }),
	PARTICLE_SYSTEM				(new byte[] { 1, 00,  88, 00, 00, 00 }),
	PARTICLE_EMITTER			(new byte[] { 1, 00,  89, 00, 00, 00 }),
	SPRITE_EMITTER				(new byte[] { 1, 00,  90, 00, 00, 00 }),
	BEAM_EMITTER				(new byte[] { 1, 00,  91, 00, 00, 00 }),
	SPARK_EMITTER				(new byte[] { 1, 00,  92, 00, 00, 00 }),
	MESH_EMITTER				(new byte[] { 1, 00,  93, 00, 00, 00 }),
	AI_ZONE						(new byte[] { 1, 00,  94, 00, 00, 00 }),
	AUDIO_EMITTER				(new byte[] { 1, 00,  95, 00, 00, 00 }),
	EFFECT_2					(new byte[] { 1, 00,  96, 00, 00, 00 }),
	LIGHT_STREAKS				(new byte[] { 1, 00,  97, 00, 00, 00 }),
	WEATHER_ZONE				(new byte[] { 1, 00,  98, 00, 00, 00 }),
	PRECIPITATION				(new byte[] { 1, 00,  99, 00, 00, 00 }),
	ANIMATION					(new byte[] { 1, 00, 100, 00, 00, 00 }),
	MAGIC						(new byte[] { 1, 00, 101, 00, 00, 00 }),
	SKILL						(new byte[] { 1, 00, 102, 00, 00, 00 }),
	MOVER						(new byte[] { 1, 00, 103, 00, 00, 00 }),
	TELEPORTER					(new byte[] { 1, 00, 104, 00, 00, 00 }),
	ARMOR_SET					(new byte[] { 1, 00, 105, 00, 00, 00 }),
	SET_TYPE_106				(new byte[] { 1, 00, 106, 00, 00, 00 }),
	FLOCK						(new byte[] { 1, 00, 107, 00, 00, 00 }),
	TREASURE_SET				(new byte[] { 1, 00, 108, 00, 00, 00 }),
	RECIPE						(new byte[] { 1, 00, 109, 00, 00, 00 }),
	WATER_ZONE					(new byte[] { 1, 00, 110, 00, 00, 00 }),
	DISTANCE_TRIGGER			(new byte[] { 1, 00, 111, 00, 00, 00 }),
	TIME_ZONE					(new byte[] { 1, 00, 112, 00, 00, 00 });
	
	private byte[] value;
	private PropertySetType(byte[] value) { this.value = value; }

	public byte[] getValue() { return value; }

	public static PropertySetType fromValue(byte[] value) {
		for(PropertySetType attr: PropertySetType.values()) {
			if(	value[0] == attr.getValue()[0] &&
				value[1] == attr.getValue()[1] &&
				value[2] == attr.getValue()[2] &&
				value[3] == attr.getValue()[3] &&
				value[4] == attr.getValue()[4] &&
				value[5] == attr.getValue()[5] ) return attr;
		}
		return UNKNOWN;
	}
}
