package main.enums;

/**
 * 
 * Copyright 2007 - Dirk Becker, Germany
 * 
 * This Code ist FreeWare and OpenSource, feel free to Copy or Modify it!
 * 
 *  Commercial use is absolutely forbidden!
 *  This entail the use by someone who act for free in order of an commercial oriented company.
 *  Please stick to this rules!
 * 
 */
public enum Species {

	HUMAN				(new byte[] { 1, 00,  0, 00, 00, 00 }),
	SKELETON			(new byte[] { 1, 00,  1, 00, 00, 00 }),
	ZOMBIE				(new byte[] { 1, 00,  2, 00, 00, 00 }),
	GOLEM				(new byte[] { 1, 00,  3, 00, 00, 00 }),
	DEMON				(new byte[] { 1, 00,  4, 00, 00, 00 }),
	ORC					(new byte[] { 1, 00,  5, 00, 00, 00 }),
	GOBLIN				(new byte[] { 1, 00,  6, 00, 00, 00 }),
	TROLL				(new byte[] { 1, 00,  7, 00, 00, 00 }),
	MINECRAWLER			(new byte[] { 1, 00,  8, 00, 00, 00 }),
	SCAVENGER			(new byte[] { 1, 00,  9, 00, 00, 00 }),
	WOLF				(new byte[] { 1, 00, 10, 00, 00, 00 }),
	BOAR				(new byte[] { 1, 00, 11, 00, 00, 00 }),
	SABERTOOTH			(new byte[] { 1, 00, 12, 00, 00, 00 }),
	SHADOWBEAST			(new byte[] { 1, 00, 13, 00, 00, 00 }),
	BISON				(new byte[] { 1, 00, 14, 00, 00, 00 }),
	RHINO				(new byte[] { 1, 00, 15, 00, 00, 00 }),
	RIPPER				(new byte[] { 1, 00, 16, 00, 00, 00 }),
	LURKER				(new byte[] { 1, 00, 17, 00, 00, 00 }),
	VARAN				(new byte[] { 1, 00, 18, 00, 00, 00 }),
	SNAPPER				(new byte[] { 1, 00, 19, 00, 00, 00 }),
	ALLIGATOR			(new byte[] { 1, 00, 20, 00, 00, 00 }),
	TREX				(new byte[] { 1, 00, 21, 00, 00, 00 }),
	FIRE_VARAN			(new byte[] { 1, 00, 22, 00, 00, 00 }),
	BLOODFLY			(new byte[] { 1, 00, 23, 00, 00, 00 }),
	LIZARD				(new byte[] { 1, 00, 24, 00, 00, 00 }),
	FISH				(new byte[] { 1, 00, 25, 00, 00, 00 }),
	MEATBUG				(new byte[] { 1, 00, 26, 00, 00, 00 }),
	VULTURE				(new byte[] { 1, 00, 27, 00, 00, 00 }),
	RABBIT				(new byte[] { 1, 00, 28, 00, 00, 00 }),
	DEER				(new byte[] { 1, 00, 29, 00, 00, 00 }),
	CHICKEN				(new byte[] { 1, 00, 30, 00, 00, 00 }),
	MOLERAT				(new byte[] { 1, 00, 31, 00, 00, 00 }),
	SNAKE				(new byte[] { 1, 00, 32, 00, 00, 00 }),
	PIG					(new byte[] { 1, 00, 33, 00, 00, 00 }),
	COW					(new byte[] { 1, 00, 34, 00, 00, 00 }),
	SPIDER				(new byte[] { 1, 00, 35, 00, 00, 00 }),
	TURTLE				(new byte[] { 1, 00, 36, 00, 00, 00 }),
	BIRD				(new byte[] { 1, 00, 37, 00, 00, 00 }),
	GARGOYLE			(new byte[] { 1, 00, 38, 00, 00, 00 }),
	SWAMP_LURKER		(new byte[] { 1, 00, 39, 00, 00, 00 }),
	EMPTY_B				(new byte[] { 1, 00, 40, 00, 00, 00 }),
	OGRE				(new byte[] { 1, 00, 41, 00, 00, 00 }),
	RAY					(new byte[] { 1, 00, 42, 00, 00, 00 }),
	SCORPION			(new byte[] { 1, 00, 43, 00, 00, 00 }),
	SEAGULL				(new byte[] { 1, 00, 44, 00, 00, 00 }),
	WALRUS				(new byte[] { 1, 00, 45, 00, 00, 00 }),
	WHALE				(new byte[] { 1, 00, 46, 00, 00, 00 }),
	EAGLE				(new byte[] { 1, 00, 47, 00, 00, 00 }),
	FIRE_GOLEM			(new byte[] { 1, 00, 48, 00, 00, 00 }),
	ICE_GOLEM			(new byte[] { 1, 00, 49, 00, 00, 00 }),
	SCORPION_KING		(new byte[] { 1, 00, 50, 00, 00, 00 }),
	STALKER				(new byte[] { 1, 00, 51, 00, 00, 00 }),
	DRAGON				(new byte[] { 1, 00, 52, 00, 00, 00 });

	private byte[] value;
	private Species(byte[] value) { this.value = value; }

	public byte[] getValue() { return value; }

	public static Species fromValue(byte[] value) {
		for(Species attr: Species.values()) {
			if(	value[0] == attr.getValue()[0] &&
				value[1] == attr.getValue()[1] &&
				value[2] == attr.getValue()[2] &&
				value[3] == attr.getValue()[3] &&
				value[4] == attr.getValue()[4] &&
				value[5] == attr.getValue()[5] ) return attr;
		}
		return HUMAN;
	}
}
