package main.enums;

/**
 * 
 * Copyright 2007 - Dirk Becker, Germany
 * 
 * This Code ist FreeWare and OpenSource, feel free to Copy or Modify it!
 * 
 *  Commercial use is absolutely forbidden!
 *  This entail the use by someone who act for free in order of an commercial oriented company.
 *  Please stick to this rules!
 * 
 */
public enum TreasureDistribution {

	PLUNDER				(new byte[] { 1, 00, 0, 00, 00, 00 }),
	UNIQUE				(new byte[] { 1, 00, 1, 00, 00, 00 }),
	TROPHY				(new byte[] { 1, 00, 2, 00, 00, 00 }),
	WEAPONRY			(new byte[] { 1, 00, 3, 00, 00, 00 }),
	TRADE_GENERATE		(new byte[] { 1, 00, 4, 00, 00, 00 }),
	TRADE_REFRESH		(new byte[] { 1, 00, 5, 00, 00, 00 }),
	MINING				(new byte[] { 1, 00, 6, 00, 00, 00 }),
	PICKPOCKET			(new byte[] { 1, 00, 7, 00, 00, 00 });

	private byte[] value;
	private TreasureDistribution(byte[] value) { this.value = value; }

	public byte[] getValue() { return value; }

	public static TreasureDistribution fromValue(byte[] value) {
		for(TreasureDistribution attr: TreasureDistribution.values()) {
			if(	value[0] == attr.getValue()[0] &&
				value[1] == attr.getValue()[1] &&
				value[2] == attr.getValue()[2] &&
				value[3] == attr.getValue()[3] &&
				value[4] == attr.getValue()[4] &&
				value[5] == attr.getValue()[5] ) return attr;
		}
		return PLUNDER;
	}
}
